# Method Stdio.Fd()->connect_unix()

Method connect_unix

  ``bool` connect_unix(`string` `filename`)`

Description

  Open a UNIX domain socket connection to the specified destination.

Parameter `filename`

  Filename to create.

  In nonblocking mode, success is indicated with the write-callback, and failure with the close-callback or the read_oob-callback.

Returns

  Returns `1` on success, and `0` on failure.

Note

  In nonblocking mode `0` (zero) may be returned and errno() set to `EWOULDBLOCK` or `WSAEWOULDBLOCK`. This should not be regarded as a connection failure.

Note

  `path` had a quite restrictive length limit (~100 characters) prior to Pike 7.8.334.